<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>parse_json &mdash; PYKKN 0.1 documentation</title>
      <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/graphviz.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/panels-bootstrap.5fd3999ee7762ccc51105388f4a9d115.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/panels-main.c949a650a448cc0ae9fd3441c0e17fb0.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/panels-variables.06eb56fa6e07937060861dad626602ad.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/jquery.js"></script>
        <script src="../../_static/underscore.js"></script>
        <script src="../../_static/doctools.js"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="pipeline" href="../pipeline/index.html" />
    <link rel="prev" title="parse" href="../parse/index.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
            <a href="../../index.html" class="icon icon-home"> PYKKN
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../start/index.html">Getting Started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../user/index.html">User Guide</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">API reference</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../build_multi_parameters/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">build_multi_parameters</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../dataset/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">dataset</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../dataset_image/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">dataset_image</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../dataset_video/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">dataset_video</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../instrument/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">instrument</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../model/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">model</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../parameter/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">parameter</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../parse/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">parse</span></code></a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#"><code class="xref py py-mod docutils literal notranslate"><span class="pre">parse_json</span></code></a><ul>
<li class="toctree-l3"><a class="reference internal" href="#module-contents">Module Contents</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#functions">Functions</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../pipeline/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">pipeline</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../run/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">run</span></code></a></li>
<li class="toctree-l2"><a class="reference internal" href="../storage/index.html"><code class="xref py py-mod docutils literal notranslate"><span class="pre">storage</span></code></a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">PYKKN</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home"></a> &raquo;</li>
          <li><a href="../index.html">API Reference</a> &raquo;</li>
      <li><code class="xref py py-mod docutils literal notranslate"><span class="pre">parse_json</span></code></li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/reference/parse_json/index.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="module-parse_json">
<span id="parse-json"></span><h1><a class="reference internal" href="#module-parse_json" title="parse_json"><code class="xref py py-mod docutils literal notranslate"><span class="pre">parse_json</span></code></a><a class="headerlink" href="#module-parse_json" title="Permalink to this headline"></a></h1>
<section id="module-contents">
<h2>Module Contents<a class="headerlink" href="#module-contents" title="Permalink to this headline"></a></h2>
<section id="functions">
<h3>Functions<a class="headerlink" href="#functions" title="Permalink to this headline"></a></h3>
<table class="autosummary longtable docutils align-default">
<colgroup>
<col style="width: 10%" />
<col style="width: 90%" />
</colgroup>
<tbody>
<tr class="row-odd"><td><p><a class="reference internal" href="#parse_json.create_instance" title="parse_json.create_instance"><code class="xref py py-obj docutils literal notranslate"><span class="pre">create_instance</span></code></a>(dic)</p></td>
<td><p>create the corresponding object</p></td>
</tr>
<tr class="row-even"><td><p><a class="reference internal" href="#parse_json.recursive_create_instance" title="parse_json.recursive_create_instance"><code class="xref py py-obj docutils literal notranslate"><span class="pre">recursive_create_instance</span></code></a>(file)</p></td>
<td><p>Recursively read json structure</p></td>
</tr>
<tr class="row-odd"><td><p><a class="reference internal" href="#parse_json.pykkn_parse" title="parse_json.pykkn_parse"><code class="xref py py-obj docutils literal notranslate"><span class="pre">pykkn_parse</span></code></a>(path)</p></td>
<td><p>read a json file and convert it to the pykkn data management structure</p></td>
</tr>
</tbody>
</table>
<dl class="py function">
<dt class="sig sig-object py" id="parse_json.create_instance">
<span class="sig-prename descclassname"><span class="pre">parse_json.</span></span><span class="sig-name descname"><span class="pre">create_instance</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dic</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#parse_json.create_instance" title="Permalink to this definition"></a></dt>
<dd><p>create the corresponding object</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>dic</strong> (<em>dict</em>) – json structure or sub-structure</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>one of the component types
the type of return depends on the structure of json structure</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>object</p>
</dd>
<dt class="field-even">Raises</dt>
<dd class="field-even"><ul class="simple">
<li><p><strong>TypeError</strong> – raised when given a wrong dataset class</p></li>
<li><p><strong>TypeError</strong> – raised when given a wrong component class</p></li>
</ul>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="parse_json.recursive_create_instance">
<span class="sig-prename descclassname"><span class="pre">parse_json.</span></span><span class="sig-name descname"><span class="pre">recursive_create_instance</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">file</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#parse_json.recursive_create_instance" title="Permalink to this definition"></a></dt>
<dd><p>Recursively read json structure
create the corresponding object and assign the original property value</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>file</strong> (<em>dict</em>) – json structure or sub-structure</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>one of the component types
the type of return depends on the structure of json file</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>object</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="parse_json.pykkn_parse">
<span class="sig-prename descclassname"><span class="pre">parse_json.</span></span><span class="sig-name descname"><span class="pre">pykkn_parse</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">path</span></span></em><span class="sig-paren">)</span><a class="headerlink" href="#parse_json.pykkn_parse" title="Permalink to this definition"></a></dt>
<dd><p>read a json file and convert it to the pykkn data management structure</p>
<dl class="field-list simple">
<dt class="field-odd">Parameters</dt>
<dd class="field-odd"><p><strong>path</strong> (<em>str</em>) – path of the object json file</p>
</dd>
<dt class="field-even">Returns</dt>
<dd class="field-even"><p>one of the component types
the type of return depends on the structure of json file</p>
</dd>
<dt class="field-odd">Return type</dt>
<dd class="field-odd"><p>object</p>
</dd>
</dl>
</dd></dl>

</section>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="../parse/index.html" class="btn btn-neutral float-left" title="parse" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="../pipeline/index.html" class="btn btn-neutral float-right" title="pipeline" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2022, ADP Group.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>